Open CASCADE Technology: SelectBasics_SortAlgo Class Reference

Open CASCADE Technology 6.8.0

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Public Member Functions
SelectBasics_SortAlgo Class Reference

Quickly selection of a rectangle in a set of rectangles Sort algorithm for 2D rectangles. More...

`#include <SelectBasics_SortAlgo.hxx>`

## Public Member Functions
| SelectBasics_SortAlgo ()
| Empty rectangle selector. More...
| SelectBasics_SortAlgo (const Bnd_Box2d &ClippingRectangle, const Standard_Real sizeOfSensitiveArea, const Handle< Bnd_HArray1OfBox2d > &theRectangles)
| Creates a initialized selector. More...
void | Initialize (const Bnd_Box2d &ClippingRectangle, const Standard_Real sizeOfSensitiveArea, const Handle< Bnd_HArray1OfBox2d > &theRectangles)
| Clears and initializes the selector. More...
void | InitSelect (const Standard_Real x, const Standard_Real y)
| Searchs the items on this position. More...
void | InitSelect (const Bnd_Box2d &rect)
| Searchs the items in this rectangle. More...
Standard_Boolean | More () const
| Returns true if there is something selected. More...
void | Next ()
| Sets value on the next selected item. More...
Standard_Integer | Value () const
| Returns the index of the selected rectangle. More...

## Detailed Description

Quickly selection of a rectangle in a set of rectangles Sort algorithm for 2D rectangles.

## Constructor & Destructor Documentation

SelectBasics_SortAlgo::SelectBasics_SortAlgo | ( |  | ) |

Empty rectangle selector.

SelectBasics_SortAlgo::SelectBasics_SortAlgo | ( | const Bnd_Box2d & | ClippingRectangle,
|  | const Standard_Real | sizeOfSensitiveArea,
|  | const Handle< Bnd_HArray1OfBox2d > & | theRectangles
| ) |  |

Creates a initialized selector.

## Member Function Documentation

void SelectBasics_SortAlgo::Initialize | ( | const Bnd_Box2d & | ClippingRectangle,
|  | const Standard_Real | sizeOfSensitiveArea,
|  | const Handle< Bnd_HArray1OfBox2d > & | theRectangles
| ) |  |

Clears and initializes the selector.

void SelectBasics_SortAlgo::InitSelect | ( | const Standard_Real | x,
|  | const Standard_Real | y
| ) |  |

Searchs the items on this position.

void SelectBasics_SortAlgo::InitSelect | ( | const Bnd_Box2d & | rect | ) |

Searchs the items in this rectangle.

Standard_Boolean SelectBasics_SortAlgo::More | ( |  | ) | const

Returns true if there is something selected.

void SelectBasics_SortAlgo::Next | ( |  | ) |

Sets value on the next selected item.

Standard_Integer SelectBasics_SortAlgo::Value | ( |  | ) | const

Returns the index of the selected rectangle.

The documentation for this class was generated from the following file:

- SelectBasics_SortAlgo.hxx